/*--------------------------------------------------------------------
buttons.m

controls the button fading
--------------------------------------------------------------------*/

#ifndef included
#error - This script can only be compiled as a #include
#endif


Function button_onScriptLoaded();

Class GuiObject HintObj;
Global HintObj play, stop, next, prev, eject, playlist;

button_onScriptLoaded()
{
	play = scriptGrp.getObject("button.play");
	play.setAlpha(1);

	eject = scriptGrp.getObject("button.eject");
	eject.setAlpha(1);

	playlist = scriptGrp.getObject("button.playlist");
	playlist.setAlpha(1);
	
	stop = scriptGrp.getObject("button.stop");
	stop.setAlpha(1);

	prev = scriptGrp.getObject("button.prev");
	prev.setAlpha(1);

	next = scriptGrp.getObject("button.next");
	next.setAlpha(1);
	
}

HintObj.onEnterArea()
{
	if (HintObj==stop)
	{
		stop.setTargetA(255);
		stop.setTargetSpeed(0.5);
		stop.goToTarget();
	}

	else if (HintObj==play)
	{
		play.setTargetA(255);
		play.setTargetSpeed(0.5);
		play.goToTarget();
	}

	else if (HintObj==eject)
	{
		eject.setTargetA(255);
		eject.setTargetSpeed(0.5);
		eject.goToTarget();
	}

	else if (HintObj==playlist)
	{
		playlist.setTargetA(255);
		playlist.setTargetSpeed(0.5);
		playlist.goToTarget();
	}

	else if (HintObj==prev)
	{
		prev.setTargetA(255);
		prev.setTargetSpeed(0.5);
		prev.goToTarget();
	}

	else if (HintObj==next)
	{
		next.setTargetA(255);
		next.setTargetSpeed(0.5);
		next.goToTarget();
	}

	
}

HintObj.onLeaveArea()
{
	if (HintObj==stop)
	{
		stop.setTargetA(1);
		stop.setTargetSpeed(0.5);
		stop.goToTarget();
	}

	else if (HintObj==play)
	{
		play.setTargetA(1);
		play.setTargetSpeed(0.5);
		play.goToTarget();
	}

	else if (HintObj==eject)
	{
		eject.setTargetA(1);
		eject.setTargetSpeed(0.5);
		eject.goToTarget();
	}

	else if (HintObj==playlist)
	{
		playlist.setTargetA(1);
		playlist.setTargetSpeed(0.5);
		playlist.goToTarget();
	}

	else if (HintObj==prev)
	{
		prev.setTargetA(1);
		prev.setTargetSpeed(0.5);
		prev.goToTarget();
	}

	else if (HintObj==next)
	{
		next.setTargetA(1);
		next.setTargetSpeed(0.5);
		next.goToTarget();
	}

		
}