/*--------------------------------------------------------------------
vis.m

controls the visualizers
--------------------------------------------------------------------*/

#ifndef included
#error - This script can only be compiled as a #include
#endif

Function vis_onScriptLoaded();
Function vis_onScriptUnLoading();

Global GuiObject mTrap;
Global Vis vis1, vis2;

vis_onScriptLoaded()
{
	mTrap = scriptGrp.findObject("vis.mouseTrap");

	vis1 = scriptGrp.findObject("vis1");
	vis2 = scriptGrp.findObject("vis2");
}

vis_onScriptUnloading()
{
	delete vis1;
	delete vis2;
}

mTrap.onLeftButtonUp(int x, int y)
{
	vis1.nextMode();
	vis2.nextMode();
}