// never forget to include std.mi
#include "../../../../std.mi"

//declares global variables for use in script
Global Group ButtonsGrp,LayersGrp;
Global Button Playsign, Pausesign, playbutt, pausebutt;
Function Playsignshow();
Function Pausesignshow();
Function pausebuttshow();
Function playbuttshow();


//when the script is loaded, do this
System.onScriptLoaded() {

  //gets the group that has the objects we want
  ButtonsGrp = getScriptGroup();


  //gets the "id" tags as defined in player-normal-group.xml for the two buttons
  Playsign = ButtonsGrp.getObject("play.cover");
  Pausesign = ButtonsGrp.getObject("pause.cover");
  playbutt = ButtonsGrp.getObject("button.play");
  pausebutt = ButtonsGrp.getObject("button.pause");    
   
  //determines whether Winamp is playing or paused, then shows the buttons accordingly
  if (getplayitemstring() != "") {
    Pausesignshow();
    pausebuttshow();
   
   
  } else {
    Playsignshow();
    playbuttshow();
    
  }
  
  // special behaviour for first start
  if (System.getPlayItemLength()>0){
    Pausesignshow();
    pausebuttshow();
    
    } else {
    Playsignshow();
    playbuttshow();
   
    }
  
  
}





System.onKeyDown(String k) {
  if (k == "alt+p") {
	  Playsign.onLeftButtonUp(1111,0);
  }
}


// If winamp is playing, hides the play button and shows pause
System.onPlay()
{
    Pausesignshow();
    pausebuttshow();
    
    }//end onPlay()


// If winamp is paused, hides pause and shows play
System.onPause()
{
  Playsignshow();
  playbuttshow();  
}//end onPause()
 
// If winamp is stopped, shows play and hides pause
System.onStop()
{
    Playsignshow();
    playbuttshow();  
  if (ButtonsGrp.getWidth() < 615) {
  	
  } else {
  	
  }
  
}//end onStop()


// After paused and button is again pressed starting play, will show pause and hide play
System.onResume()
{
    Pausesignshow();
    pausebuttshow();
    
     
}



Playsign.onLeftButtonUp(int x, int y) { 
	if (x == 1111) {
		if (Playsign.getXMLParam("action") == "PLAY") System.play();
		if (Playsign.getXMLParam("action") == "PAUSE") System.pause();
	}
}
		

Playsignshow(){
	Playsign.setXMLParam("image", "layer.play");
	Playsign.setXMLParam("action", "PLAY");
	
}

playbuttshow(){
	playbutt.setXMLParam("button", "button.play");
	playbutt.setXMLParam("action", "PLAY");
	
}


Pausesignshow(){
	Playsign.setXMLParam("image", "layer.pause");
	Playsign.setXMLParam("action", "PAUSE");
	
}

pausebuttshow(){
	playbutt.setXMLParam("button", "button.pause");
	playbutt.setXMLParam("action", "PAUSE");
	
}