/*--------------------------------------------------------------------
text.m

controls the text info line
--------------------------------------------------------------------*/

#ifndef included
#error - This script can only be compiled as a #include
#endif

Function text_onScriptLoaded();
Function text_onScriptUnloading();
Function text_onTitleChange(String title_);

Global Timer txt_timer;
Global String txt;

text_onScriptLoaded()
{
	songTicker = scriptGrp.findObject("songticker");

	txt = getPlayItemDisplayTitle();

	txt_timer = new Timer;
	txt_timer.setDelay(100);
	txt_timer.start();
}

text_onScriptUnloading()
{
	txt_timer.stop();
	delete txt_timer;
}

text_onTitleChange(String title_)
{
	txt_timer.start();
	txt = title_;
}

txt_timer.onTimer()
{
	txt_timer.stop();

	Int time = getPlayItemLength();

	String strTime=integerToTime(time);

	songTicker.setText(txt);
}

System.onVolumeChanged(int newVol)
{
	setTempText("Volume: "+integerToString(newVol/255*100)+"%");
}